The officially official Devuan Forum!

You are not logged in.

#1 2019-05-18 11:10:32

Altoid
Member
Registered: 2017-05-07
Posts: 279  

eeepc-acpi-scripts in ASCII

Hello:

I need to install the eeepc-acpi-scripts package in ASCII but it is not listed by apt:

groucho@devuan:~$ sudo apt-get install eeepc-acpi-scripts
[sudo] password for groucho: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package eeepc-acpi-scripts
groucho@devuan:~$ 

Notwithstanding, according to https://pkginfo.devuan.org/cgi-bin/d1pk … elease=any it is available for Devuan:

2 results for "eeepc-acpi-scripts" in any (in 19.878343ms)

    [ceres] eeepc-acpi-scripts-1.1.13
    [jessie] eeepc-acpi-scripts-1.1.12

What would be the correct way of installing this package?
Add one of these two repositories to sources.list?
If so, which would be the appropriate one?

Thanks in advance.

A.

Offline

#2 2019-05-18 16:04:22

Panopticon
Member
Registered: 2018-01-27
Posts: 306  

Re: eeepc-acpi-scripts in ASCII

You would have to upgrade to unstable/ceres for that i think, or do some sort of apt repository pinning magic.

I would have a try at installing from upstream source first maybe?

https://github.com/nbigaouette/acpi-eeepc-generic

Offline

#3 2019-05-18 16:38:03

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 343  
Website

Re: eeepc-acpi-scripts in ASCII

You could try adding the jessie repositories then update the APT database and install the package, I've just tried a simulation on my Debian buster system and it seems to work.

Remember to remove the jessie source and update again afterwards though.


Fabricando fit faber

Offline

#4 2019-05-18 16:52:35

Altoid
Member
Registered: 2017-05-07
Posts: 279  

Re: eeepc-acpi-scripts in ASCII

Hello:

Panopticon wrote:

... upgrade to unstable/ceres ...
... some sort of apt repository pinning magic.

No, I've tried too much magic recently.                               
It's a backport or I won't try. =- ^

Panopticon wrote:

... try at installing from upstream source first maybe?

https://github.com/nbigaouette/acpi-eeepc-generic

Thanks, I'll have a look at that.

The reason for Devuan repositories having packages for jessie eeepc-acpi-scripts-1.1.12 and ceres eeepc-acpi-scripts-1.1.13 but not for ASCII is probably because there's no  package in the Debian repository for stretch either:

https://packages.debian.org/search?keyw … pi-scripts

Package eeepc-acpi-scripts

    jessie (oldstable) (utils): Scripts to support suspend and hotkeys on the Asus Eee PC laptop
    1.1.12: all
    sid (unstable) (utils): Scripts to support suspend and hotkeys on the Asus Eee PC laptop
    1.1.13: all

Maybe it is something that's happened somewhere in ASCII (and obviously affects how the package works) that was not in jessie and won't be in ceres?

Thanks for your input.

A.

Offline

Board footer